#include "mpi.h"
#include "stdio.h"

inline int
MPI_Comm_size (MPI_Comm comm, int *size)
{
  int i;
  for (i = 0; i < _USF_num_of_comm; i++) {
    if (_USF_comm_list[i].comm == comm) {
      *size = _USF_comm_list[i].nump;
      return 0;
    }
  }

  printf ("Error, this communicator doesn't exist\n");
  fflush (stdout);
  *size = -1;
  return -1;
}
