#include<stdio.h>
#include<stdlib.h>
#include"mpi.h"

int
MPI_Sendrecv (void *sendbuf, int sendcount, MPI_Datatype sendtype,
              int dest, int sendtag, void *recvbuf, int recvcount,
              MPI_Datatype recvtype, int source, int recvtag,
              MPI_Comm comm, MPI_Status * status)
{
  MPI_Request reqs[2];
  MPI_Status st;

  MPI_Isend (sendbuf, sendcount, sendtype, dest, sendtag, comm, &reqs[0]);
  MPI_Irecv (recvbuf, recvcount, recvtype, source, recvtag, comm, &reqs[1]);
  MPI_Wait (&reqs[0], &st);
  MPI_Wait (&reqs[1], status);
  return 0;
}
