#include<stdio.h>
#include<stdlib.h>
#include<unistd.h>
#include"mpi.h"

int
MPI_Testall (int count, MPI_Request * array_of_requests, int *flag,
             MPI_Status * array_of_statuses)
{
  int i;
  int tmp;

  *flag = 0;
  for (i = 0; i < count; i++) {
    MPI_Test (&array_of_requests[i], &tmp, &array_of_statuses[i]);
    if (i == 0) {
      *flag = tmp;
    } else {
      if (!(*flag && tmp))
        *flag = 0;
    }
  }
  return 0;
}
